Doomsday Engine - Feature #1517

Autoselect missing interfaces from other audio plugins
2010-04-30 02:39 - filipetolhuizen

Status: Closed Start date: 2010-04-30
Priority: Normal % Done: 50%
Assignee:

Category: Enhancement

Target version:

Description

Don't know if it's a bug or limitation, but MIDI won't play with any other sound drivers here. Happens in v1.9.0 beta8 and beta9 (only
versions | tested).

Labels: Sound

History

#1 - 2012-03-02 12:52 - stavstav2

all have the same prob, it seems they went backwards for a while, beta 6 and 7 do not even play midis, which is the original game music. its
retarded.

beta5 plays midis perfect under directsound 6 or directsound 8 and they got rid of that? it makes NO sense

and although much improved over last 3 betas, beta 9 with sdl mixer has some small midi issues too, there is stuttering and some strange tempo
problems at times

re-implement directsound 6/8 with midi support from beta5 please it was already perfect no need to change it and definitely do not get rid of it
completely from the program as has been done.

#2 - 2012-03-02 18:44 - skyjake

In 1.9.8 it is possible to pick and choose which audio interface to use for SFX, Music, and CD audio. So for instance as OpenAL doesn't provide MIDI,
one could use FMOD or winmm for MIDI instead (-imusic winmm).

#3 - 2012-03-03 04:30 - danij

Should Doomsday intelligently try to complete the available audio interfaces whenever possible? For example, if the user requests -dsound the
engine would automatically look for another plugin with which to play MIDI.

#4 - 2012-08-28 18:10 - skyjake

Making this an RFE since it is working currently as intended.

#5 - 2013-10-20 21:00 - skyjake

- Tags set to Audio

- Category set to Enhancement

- Status changed from New to In Progress
- Assignee set to skyjake

- % Done changed from 0 to 50

This is partially done now: one can select specific interfaces with command line options.

#6 - 2013-10-23 18:47 - skyjake
- Assignee deleted (skyjake)

#7 - 2016-07-05 23:55 - skyjake

- Status changed from In Progress to Progressed

#8 - 2019-11-29 21:30 - skyjake

- Status changed from Progressed to Closed
Closing as obsolete.

In general, the audio backends could use refinement so that 1) all of them are available, 2) there is a priority order for selecting which backend gets to
play a specific piece of content.

#9 - 2019-11-29 21:31 - skyjake

- Target version set to Architecture

#10 - 2019-11-29 23:16 - skyjake

- Target version deleted (Architecture)
